Summary: The GNOME Display Manager
Name: gdm
Version: 2.30.2
%define subrel 1
Release: %mkrel 12
License: GPLv2+
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/projects/gdm/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gdm/%{name}-%{version}.tar.bz2
Source1: %gconf-tree.xml
Source2: box.png
Source3: bottom-panel-image.png

# (fc) 2.2.2.1-1mdk change default configuration
Patch0: gdm-2.29.5-defaultconf.patch
Patch2: gdm-2.22.0-fix-linking.patch
# (fc) 2.28.0-1mdv Smooth integration with plymouth (Fedora)
Patch16: gdm-2.30.0-plymouth.patch
# (fc) 2.29.5-1mdv cache ck history (Ubuntu) (GNOME bug #594344)
Patch20: gdm-2.29.5-cache-ck-history.patch
# (fc) 2.29.5-1mdv fix loosing keyboard focus (Ubuntu) (GNOME bug #598235)
Patch22: gdm-2.29.5-keyboard-focus.patch
# (fc) 2.29.5-1mdv disable fatal warnings (Ubuntu)
Patch23: gdm-disable-fatal-warnings.patch
# (fc) 2.29.5-1mdv add gconf defaults directory (Ubuntu)
Patch25: gdm-2.29.5-gconf-defaults.patch
# (fc) 2.29.5-1mdv improve greeter transparency (based on OpenSolaris)
Patch26: gdm-2.30.1-improve-greeter-transparency.patch
# (fc) 2.29.92-3mdv handle dmrc migration better (Mdv bug #58414)
Patch27: gdm-2.29.92-dmrc-migration.patch
# (fc) 2.30.0-2mdv ensure X is started on VT7, not VT1 (Ubuntu)
Patch28: 05_initial_server_on_vt7.patch
# (fc) 2.30.0-2mdv check for active VT (Ubuntu)
Patch29: gdm-2.30.0-check-active-vt.patch
# (fc) 2.30.0-3mdv do not restart autologin after logout (GNOME bug #587606)
Patch31: gdm-autologin-once.patch
# (fc) 2.30.0-4mdv run Init scripts as root
Patch33: gdm-2.30.0-init-as-root.patch
# (fc) 2.30.0-9mdv fix locale-archive path (Mdv bug #58507)
Patch34: gdm-2.30.0-fix-locale-archive-path.patch
# (fc) 2.30.2-1mdv fix pam modules (Mdv bug #58459)
Patch35: gdm-2.30.0-fix-pam.patch
# (fc) 2.30.2-1mdv fix notification location (Fedora)
Patch36: gdm-2.30.2-notification-location.patch
# (fc) 2.30.2-1mdv fix tray padding (Fedore)
Patch37: gdm-2.30.2-tray-padding.patch
# (fc) 2.30.2-1mdv add policykit support to GDM settings D-Bus interface (GNOME bug #587750) (Ubuntu)
Patch38: gdm-2.30.2-use-polkit-for-settings.patch
# (fc) 2.30.2-1mdv add more settings configurable for GDM (GNOME bug #587750) (Ubuntu)
Patch39: 09_gdmserver_gconf_settings.patch
# (fc) 2.30.2-1mdv add gdmsetup program (GNOME bug #587750) (Ubuntu)
Patch40: 09_gdmsetup.patch
# (fc) 2.30.2-1mdv group xkb layout (GNOME bug #613681)
Patch41: 33-multi-keyboard-layouts.patch
# (fc) 2.30.2-2mdv do not convert keyboard layout description to UTF-8 twice (GNOME bug 617108)
Patch42: gdm-2.30.2-keyboard-layout-utf8.patch
# (fc) 2.30.2-3mdv fix default session (Mdv bug #58501)
Patch43: gdm-2.30.2-fix-default-session.patch
# (fc) 2.30.2-7mdv allow to set default session with gdmsetup (GNOME bug #594733) (Ubuntu)
Patch44: gdm-2.30.2-default-session-gdmsetup.patch
# (fc) 2.30.2-8mdv save space on low resolutions screen (SUSE)
Patch45: gdm-save-panel-space-on-low-resolutions.patch
# (fc) 2.30.2-9mdv don't try to manage screen if runlevel is 0 or 6 (SUSE)
Patch46: gdm-look-at-runlevel.patch
# (fc) 2.30.2-9mdv fix fd leaks (GNOME bug #617661) (GIT)
Patch47: gdm-2.30.2-fix-fdleaks.patch
# (fc) 2.30.2-11mdv various bug fixes from GIT
Patch48: gdm-2.30.2-gitfixes.patch
# (fc) 2.30.2-12mdv fix default icon (idea from GIT)
Patch49: gdm-2.30.2-fix-default-icon.patch

Patch50: gdm-2.30.2-CVE-2011-0727.diff

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Provides: dm

Requires(pre):     rpm-helper
Requires(postun):  rpm-helper
Requires(post):	   scrollkeeper >= 0.3
Requires(postun):  scrollkeeper >= 0.3
Requires(post): desktop-common-data
Requires: pam >= 0.99.8.1-8mdv
Requires: setup >= 2.1.9-33mdk
Requires: sessreg
Requires: usermode
Requires: cdialog
Requires: zenity
Requires: gnome-session-bin
Requires: gnome-settings-daemon
Requires: metacity
Suggests: gnome-power-manager
# for XFdrake on failsafe fallback:
Requires: drakx-kbd-mouse-x11
Requires: xinitrc >= 2.4.14
Requires: polkit-gnome
Provides: gdm-Xnest
Obsoletes: gdm-Xnest

Obsoletes: gdm-themes
Conflicts: gdm-220
BuildRequires: x11-server-xorg
BuildRequires: gettext
BuildRequires: pam-devel
#BuildRequires: usermode
BuildRequires: rarian
BuildRequires: gnome-doc-utils
BuildRequires: automake1.9 
BuildRequires: intltool
#BuildRequires: consolekit-devel
BuildRequires: libwrap-devel
BuildRequires: libaudit-devel
#BuildRequires: zenity
BuildRequires: libcanberra-devel
BuildRequires: libpanel-applet-2-devel
BuildRequires: libxklavier-devel
Buildrequires: UPower-devel
BuildRequires: libcheck-devel
BuildRequires: polkit-1-devel

%description
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%package user-switch-applet
Summary:   GDM User Switcher Panel Applet
Group:     Graphical desktop/GNOME
Requires:  gdm >= %{version}-%{release}
Obsoletes: fast-user-switch-applet
Provides:  fast-user-switch-applet = %{version}-%{release}

%description user-switch-applet
The GDM user switcher applet provides a mechanism for changing among
multiple simulanteous logged in users.

%prep
%setup -q
cp data/Init.in data/Default.in
%patch0 -p1 -b .defaultconf
%patch2 -p1 -b .fixlinking
%patch16 -p1 -b .plymouth
%patch20 -p1 -b .ck-history-cache
# disabled, cause session warning
#patch22 -p1 -b .keyboard-focus
%patch23 -p1 -b .disable-fatal-warnings
%patch25 -p1 -b .gconf-defaults
%patch26 -p1 -b .improve-greeter-transparency
%patch27 -p1 -b .dmrc-migration
%patch28 -p1 -b .vt7
%patch29 -p1 -b .active-vt
%patch31 -p1 -b .autologin-once
%patch33 -p1 -b .init-as-root
%patch34 -p1 -b .locale-archive
%patch35 -p1 -b .fix-pam
%patch36 -p1 -b .notification-location
%patch37 -p1 -b .tray-padding
%patch38 -p1 -b .polkit-for-settings
%patch39 -p1 -b .gdmserver-gconf-settings
%patch40 -p1 -b .gdmsetup
#do not apply, cause crashes with some keyboard layout, see upstream bug
#patch41 -p1 -b .multi-keyboard-layout
%patch42 -p1 -b .keyboard-layout-utf8
%patch43 -p1 -b .fix-default-session
%patch44 -p1 -b .default-session-gdmsetup
%patch45 -p1 -b .low-resolution-screen
%patch46 -p1 -b .look-at-runlevel
%patch47 -p1 -b .fdleaks
%patch48 -p1 -b .gitfixes
%patch49 -p1 -b .fix-default-icon
%patch50 -p0 -b .CVE-2011-0727

libtoolize
autoreconf

%build

%configure2_5x --enable-console-helper  \
  --with-sysconfsubdir=X11/gdm \
  --with-dmconfdir=%_sysconfdir/X11/dm \
  --with-console-kit=yes 

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std PAM_PREFIX=%{_sysconfdir} 

# don't provide PreSession/PostSession, pam handle this
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/PreSession/Default
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/PostSession/Default

install -m644 %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/gdm


mkdir -p $RPM_BUILD_ROOT%{_datadir}/hosts


%{find_lang} %{name} --with-gnome --all-name

for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done


mkdir -p $RPM_BUILD_ROOT%{_var}/log/gdm $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions

mkdir -p $RPM_BUILD_ROOT%{_var}/lib/gdm/.gconf.defaults
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_var}/lib/gdm/.gconf.defaults

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/X11/gdm/PostLogin/Default.sample \
  $RPM_BUILD_ROOT%{_datadir}/xsessions/gnome.desktop

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd gdm %{_var}/lib/gdm /bin/false
%_pre_groupadd xgrp gdm

%post
%define schemas gdm-simple-greeter
%post_install_gconf_schemas %schemas

if [ -f /%{_sysconfdir}/X11/xdm/Xsession -a ! -x /%{_sysconfdir}/X11/xdm/Xsession ]; then
	chmod +x /%{_sysconfdir}/X11/xdm/Xsession
fi
if [ -x /usr/sbin/chksession ]; then /usr/sbin/chksession -g || true; fi

%if %mdkversion < 200900
/sbin/ldconfig
%endif
%update_scrollkeeper
%{_sbindir}/gdm-safe-restart >/dev/null 2>&1 || :


%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%{make_session}
%_postun_userdel gdm
%_postun_groupdel xgrp gdm
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%clean_scrollkeeper

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING NEWS README
%_sysconfdir/dbus-1/system.d/gdm.conf
%{_bindir}/gdm-screenshot
%{_bindir}/gdmflexiserver
%{_bindir}/gdmsetup
%{_sbindir}/gdm
%{_sbindir}/gdm-binary
%{_sbindir}/gdm-restart
%{_sbindir}/gdm-safe-restart
%{_sbindir}/gdm-stop
%dir %{_sysconfdir}/X11/gdm
%config(noreplace) %{_sysconfdir}/X11/gdm/gdm.schemas
%config(noreplace) %{_sysconfdir}/pam.d/gdm
%config(noreplace) %{_sysconfdir}/pam.d/gdm-autologin
%config(noreplace) %{_sysconfdir}/X11/gdm/custom.conf
%config(noreplace) %{_sysconfdir}/X11/gdm/Xsession
%dir %{_sysconfdir}/X11/dm
%dir %{_sysconfdir}/X11/dm/Sessions
%config(noreplace) %{_sysconfdir}/X11/gdm/PreSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostLogin
%config(noreplace) %{_sysconfdir}/X11/gdm/Init
%_sysconfdir/gconf/schemas/gdm-simple-greeter.schemas
%_libexecdir/gdm-crash-logger
%_libexecdir/gdm-factory-slave
%_libexecdir/gdm-host-chooser
%_libexecdir/gdm-product-slave
%_libexecdir/gdm-session-worker
%_libexecdir/gdm-simple-chooser
%_libexecdir/gdm-simple-greeter
%_libexecdir/gdm-simple-slave
%_libexecdir/gdm-xdmcp-chooser-slave
%_libexecdir/gdm-set-default-session
%{_datadir}/pixmaps/*
%{_datadir}/gdm
%{_datadir}/applications/gdmsetup.desktop
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_datadir}/polkit-1/actions/gdm.policy
%dir %{_datadir}/hosts
%dir %{_localstatedir}/spool/gdm
%attr(1770, gdm, gdm) %dir %{_localstatedir}/lib/gdm
%attr(1750, gdm, gdm) %dir %{_localstatedir}/lib/gdm/.gconf.mandatory
%attr(1640, gdm, gdm) %dir %{_localstatedir}/lib/gdm/.gconf.mandatory/*.xml
%attr(1750, gdm, gdm) %dir %{_localstatedir}/lib/gdm/.gconf.defaults
%attr(1640, gdm, gdm) %dir %{_localstatedir}/lib/gdm/.gconf.defaults/*.xml
%attr(1640, gdm, gdm) %dir %{_localstatedir}/lib/gdm/.gconf.path
%attr(1755, gdm, gdm) %dir %{_localstatedir}/run/gdm/greeter
%attr(1777, root, gdm) %dir %{_localstatedir}/run/gdm
%attr(1755, root, gdm) %dir %{_localstatedir}/cache/gdm

%dir %{_var}/log/gdm
%_datadir/icons/hicolor/*/apps/gdm*

%files user-switch-applet
%defattr(-, root, root)
%{_libexecdir}/gdm-user-switch-applet
%{_libdir}/bonobo/servers/GNOME_FastUserSwitchApplet.server
%{_datadir}/gnome-2.0/ui/GNOME_FastUserSwitchApplet.xml


%changelog
* Fri Apr 08 2011 Oden Eriksson <oeriksson@mandriva.com> 2.30.2-12.1mdv2010.2
- P50: security fix for CVE-2011-0727 (suse)

* Wed Jun 23 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-12mdv2010.1
+ Revision: 548682
- Patch49 (idea from GIT): fix default icon for user

* Tue Jun 22 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-11mdv2010.1
+ Revision: 548607
- Patch48 (GIT): many bug fixes cherry-picked from GIT

* Mon Jun 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-10mdv2010.1
+ Revision: 547195
- Disable patch41, it causes crashes with some keyboard layout (see upstream bug)

* Tue May 25 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-9mdv2010.1
+ Revision: 545985
- Patch46 (SUSE): don't try to manage screen if runlevel is 0 or 6
- Patch47 (GIT): fix fd leaks (GNOME bug #617661)
- Patch45 (SUSE): save space on low resolutions screen

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-7mdv2010.1
+ Revision: 544374
- Patch44 (Ubuntu): allow to set default session from gdmsetup (GNOME bug ##594733)

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-6mdv2010.1
+ Revision: 543353
- Add missing dependencies for gdm
- Rework patch26 with much code grabbed from gnome-panel

* Wed May 05 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-5mdv2010.1
+ Revision: 542577
- Switch back to vt7, /sbin/init is fixed now

* Mon May 03 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-4mdv2010.1
+ Revision: 541750
- Replace conflicts with obsoletes for gdm-themes, easier upgrade

* Mon May 03 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-3mdv2010.1
+ Revision: 541730
- Patch43: fix default session selection (Mdv bug #58501)

* Wed Apr 28 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-2mdv2010.1
+ Revision: 540463
- Patch42: do not convert keyboard layout description to UTF-8 twice (GNOME bug 617108)

* Wed Apr 28 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 540426
- Fix buildrequires
- Regenerate patch38 to fix build
- hack around xorg taking 100%% cpu by updating patch28 to start X on vt8 instead of vt7 for now
- Release 2.30.2
- Remove patch32 (merged upstream)
- Patch35: fix pam modules (Mdv bug #58459)
- Patch36 (Fedora): fix notification location
- Patch37 (Fedora): fix tray padding
- Patch38 (Ubuntu): add policykit support to GDM settings D-Bus interface (GNOME bug #587750)
- Patch39 (Ubuntu): add more settings configurable for GDM (GNOME bug #587750)
- Patch40 (Ubuntu): add gdmsetup program (GNOME bug #587750)
- Patch41 (Ubuntu): group xkb layout (GNOME bug #613681)

* Mon Apr 26 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-9mdv2010.1
+ Revision: 539222
- Patch34: fix path for locale-archive (Mdv bug #58507)
- Remove patch13, no longer applicable

* Mon Apr 26 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-8mdv2010.1
+ Revision: 538874
- add explicit conflicts against gdm-themes (it is 2.20.x specific) and gdm-220 packages

* Fri Apr 23 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-7mdv2010.1
+ Revision: 538348
- Update patch26 to fix default logo used
- Add missing png files needed by patch26

* Fri Apr 23 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-6mdv2010.1
+ Revision: 538325
- Update patch26 and source1 : disable compositing, use another method, based on OpenSolaris patch to fake transparency. Work in progress
- clean post/triggers which were relevant only for gdm 2.20.x

* Thu Apr 01 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-5mdv2010.1
+ Revision: 530712
- Patch33 : ensure Init scripts are run as root and with correct PATH (replace patch30)

* Wed Mar 31 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-4mdv2010.1
+ Revision: 530488
- Patch32: ensure Init scripts are called when using autologin
- Remove dependencies on openssh-clients and xephyr

* Wed Mar 31 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-3mdv2010.1
+ Revision: 530368
- Patch31 (SUSE): only start autologin once (GNOME bug #587606)
- Only requires gnome-session-bin (Mdv bug #58443)

* Tue Mar 30 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-2mdv2010.1
+ Revision: 529934
- Move fusa applet to a subpackage and handle migration (Mdv bug #58453)
- Replace patches 16 / 17 with new version from Fedora in patch16
- Patch28 (Ubuntu): ensure X is started on VT 7 at first
- Patch29 (Ubuntu): fix active VT detection
- Patch30 : ensure correct shell is used for Init script

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528954
- update to new version 2.30.0
- add missing dep on gnome-session (bug #5443)

* Fri Mar 26 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.92-3mdv2010.1
+ Revision: 527745
- Patch27: handle dmrc migration better (Mdv bug #58414)

* Fri Mar 26 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.92-2mdv2010.1
+ Revision: 527676
- Add source1 : default configuration, enable compositing in metacity

* Fri Mar 26 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.92-1mdv2010.1
+ Revision: 527622
- Release 2.29.92

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 2.20.10-8mdv2010.1
+ Revision: 519987
- rebuilt against audit-2 libs

* Fri Oct 23 2009 Frederic Crozat <fcrozat@mandriva.com> 2.20.10-7mdv2010.0
+ Revision: 459092
- Use new theme by default, disable beep when login is ready

* Fri Oct 02 2009 Thierry Vignaud <tv@mandriva.org> 2.20.10-6mdv2010.0
+ Revision: 452551
- patch 4: use pam_namespace for xguest

* Thu Sep 24 2009 Frederic Crozat <fcrozat@mandriva.com> 2.20.10-5mdv2010.0
+ Revision: 448195
- Patch16 (SUSE): wait a little before restarting X server on reboot / shutdown (Mdv bug #53757)

* Wed Sep 16 2009 Frederic Crozat <fcrozat@mandriva.com> 2.20.10-4mdv2010.0
+ Revision: 443562
- Fix package name for find_lang

* Mon Aug 31 2009 Frederic Crozat <fcrozat@mandriva.com> 2.20.10-3mdv2010.0
+ Revision: 422866
- Update patch0 with correct path for default background
- Patch15: set default background atom, to enable crossfading when starting GNOME

* Wed Mar 25 2009 Frederic Crozat <fcrozat@mandriva.com> 2.20.10-2mdv2009.1
+ Revision: 361028
- Update patch0 : default color for root window is now black

* Thu Mar 19 2009 Götz Waschk <waschk@mandriva.org> 2.20.10-1mdv2009.1
+ Revision: 357659
- new version
- update patch 0

* Mon Feb 16 2009 Frederic Crozat <fcrozat@mandriva.com> 2.20.9-2mdv2009.1
+ Revision: 340977
- Replace dependencies on ssh/ssh-askpass with suggests

* Fri Dec 19 2008 Götz Waschk <waschk@mandriva.org> 2.20.9-1mdv2009.1
+ Revision: 316083
- new version
- update patch 0
- add patch 14 to fix the format strings

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.20.8-1mdv2009.0
+ Revision: 279943
- new version

* Tue Jul 08 2008 Pixel <pixel@mandriva.com> 2.20.7-2mdv2009.0
+ Revision: 232794
- %make_session is deprecated by make-session filetrigger, but it can't work for
  gdm/kdm since the conf file is in xinitrc, calling "chksession -g" by hand for
  now

* Tue Jul 01 2008 Götz Waschk <waschk@mandriva.org> 2.20.7-1mdv2009.0
+ Revision: 230454
- new version
- drop patch 14
- update license

* Tue Jun 24 2008 Frederic Crozat <fcrozat@mandriva.com> 2.20.6-3mdv2009.0
+ Revision: 228716
- Update patch0 for new xdm Xsession path (Mdv bug #41645)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.20.6-2mdv2009.0
+ Revision: 214499
- Patch14: fix invalid free (fix remaining issue from GNOME bug #517526)
- Make package easily backportable on 2008.1

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue May 13 2008 Götz Waschk <waschk@mandriva.org> 2.20.6-1mdv2009.0
+ Revision: 206547
- new version
- rediff patch 0

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.20.5-1mdv2009.0
+ Revision: 192475
- new version

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 2.20.4-3mdv2008.1
+ Revision: 185606
- Patch13: grab translation for Welcome banner from gtk+mdk until upstream has enough translation for it

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.20.4-2mdv2008.1
+ Revision: 184838
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.20.4-1mdv2008.1
+ Revision: 183930
- new version
- rediff patch 0
- drop patch 11

* Wed Mar 05 2008 Frederic Crozat <fcrozat@mandriva.com> 2.20.3-3mdv2008.1
+ Revision: 180168
- Patch11 : check for both Remote and Locale welcome message when trying to translate it
- Patch12: improve face browser
- Update patch0 to use new background color
- Add symlink for additional Mandriva graphical theme without user list

  + Götz Waschk <waschk@mandriva.org>
    - remove menu scripts

* Mon Jan 21 2008 Frederic Crozat <fcrozat@mandriva.com> 2.20.3-2mdv2008.1
+ Revision: 155868
- Update patch4 to sync with Fedora pam file and call gnome-keyring pam module if present
- Add PolicyKit file to allow sound output for gdm user (needed for accessibility)

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.20.3-1mdv2008.1
+ Revision: 146374
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 113356
- new version
- rediff patch 7
- drop patch 9
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - explain why we require drakx-kbd-mouse-x11

* Mon Nov 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.1-4mdv2008.1
+ Revision: 112142
- Replace drakxtools-newt dependency with drakx-kbd-mouse-x11, to ensure XFdrake is always installed

* Mon Nov 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.1-3mdv2008.1
+ Revision: 110478
- Patch9 (SVN): fixes XDMCP client (Mdv bug #35522)
- Patch10: No longer default to locale value in gdm language list, force UTF-8 by default except for zh (like installer) (Mdv bug #35133)

* Tue Oct 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.1-2mdv2008.1
+ Revision: 98925
- Remove patch9, no longer needed

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98884
- new version
- rediff patch 9
- drop patch 10

* Wed Sep 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 90800
- Patch9 : fix .dmrc handling (Mdv bug #33755)
- Patch10 (SVN): prevent lockup when at-spi / prefetch (GNOME bug #473480) (SVN)

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89336
- new version

* Mon Sep 17 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.8-4mdv2008.0
+ Revision: 89273
- Fix regression introduced in patch0 (Mdv bug #33645)

* Fri Sep 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.8-3mdv2008.0
+ Revision: 81913
- Patch8:  don't set GDM_LANG for default system locale (Mdv bug #31290)

* Fri Sep 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.8-2mdv2008.0
+ Revision: 81437
- Fix Buildrequires
- Enable remote secure connection (via ssh)
- Update default config patch to remove many duplicated settings which are already in /etc/X11/Xsession (and might cause problems). Ensure background is not reset to color when set to background+color

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.8-1mdv2008.0
+ Revision: 80600
- new version

* Mon Sep 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.7-2mdv2008.0
+ Revision: 78574
- Patch7: fix path for gdmsetup in .desktop file
- Don't complain when upgrading if gdm isn't running

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.7-1mdv2008.0
+ Revision: 72368
- new version

* Tue Aug 21 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.6-2mdv2008.0
+ Revision: 68532
- add Source5: add dbus permission for consolekit calls (Mdv bug #32571)
- Fix BR and use Xephyr instead of Xnext for Xnest flexiserver (Mdv bug #29950)

* Thu Aug 16 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 64134
- new version
- update buildrequires

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 56729
- new version

  + Frederic Crozat <fcrozat@mandriva.com>
    - Enable ConsoleKit support

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 50888
- new version
- rediff patch 0

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 40732
- new version
- new version
- rediff patches 0,1,4,5,6
- drop patches 2,7
- drop legacy menu
- update file list

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32376
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 13863
- new version


* Wed Mar 21 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-3mdv2007.1
+ Revision: 147243
- hide gdmphotosetup if running gnome
- replace patch for gdmsetup.desktop by a perl one-liner
- make gdmsetup desktop entry ask for the root password (bug #29731)

* Fri Mar 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 145229
- Patch6: force TMPDIR to /tmp, fix a11y startup for gdm greeter (Mdv bugf #23215)
- Update patch0 : fix default PATH (Mdv bug #24703), use Ia Ora for default GTK theme

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141713
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.8-2mdv2007.1
+ Revision: 126216
- fix buildrequires to include the X server

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.8-1mdv2007.1
+ Revision: 125734
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.7-1mdv2007.1
+ Revision: 118846
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2007.1
+ Revision: 111675
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 105479
- new version

* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 96754
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 90775
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 87931
- bot rebuild
- new version
- update patch 2

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.1
+ Revision: 86906
- new version

* Tue Oct 31 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 74783
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63826
- rebuild
- unpack patches
- Import gdm

* Thu Oct 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- drop patch 6
- New version 2.16.1

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Update patch6 with upstream version

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Sat Aug 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.10-2mdv2007.0
- Patch6 (Guillaume Bedot): fix crash (Mdv bug #24615)

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.10-1mdv2007.0
- New release 2.15.10

* Wed Aug 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.15.9-2mdv2007.0
- fix buildrequires on x86_64

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.9-1mdv2007.0
- New release 2.15.9

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 2.15.8-1mdv2007.0
- New release 2.15.8

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.7-1mdv2007.0
- xdg menu
- New release 2.15.7

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.6-1mdv2007.0
- Release 2.15.6

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- drop patch 6
- rediff patch 2
- New release 2.15.5

* Tue Jun 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-4mdv2007.0
- Patch6 (CVS): fix autologin (Mdk bug #22793, GNOME bug #344191)

* Sat Jun 10 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-3mdv2007.0
- silent update of the translations

* Fri Jun 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Add dependency on sessreg

* Fri Jun 09 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- drop patch 6
- New release 2.15.4

* Thu May 25 2006 Gtz Waschk <waschk@mandriva.org> 2.14.7-1mdk
- drop patch 6
- New release 2.14.7

* Sat May 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.6-3mdk
- Rebuild with modular xorg

* Tue May 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.6-2mdk
- Fix symlink to be relative, to be chroot safe (Vincent Guardiola)

* Sat May 13 2006 Gtz Waschk <waschk@mandriva.org> 2.14.6-1mdk
- fix installation
- New release 2.14.6

* Thu May 04 2006 Götz Waschk <waschk@mandriva.org> 2.14.5-1mdk
- New release 2.14.5

* Thu Apr 27 2006 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdk
- New release 2.14.4

* Wed Apr 26 2006 Gtz Waschk <waschk@mandriva.org> 2.14.3-1mdk
- update patch 2
- New release 2.14.3

* Sun Apr 23 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-2mdk
- fix buildrequires

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-1mdk
- Release 2.14.2
- Regenerate patches 0, 2
- Remove patches 3 (merged upstream), 6 (replaced by sed script)
- Merge patch7 into patch4

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 2.8.0.7-3mdk
- rebuild for new libgsf

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 2.8.0.7-2mdk
- use "include" directive instead of deprecated pam_stack

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.7-1mdk
- drop patches 7,8
- update patch 2
- New release 2.8.0.7

* Tue Nov 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.6-3mdk
- Patch8: fix vt detection

* Mon Nov 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.6-2mdk
- Put back patch 2 in an improved version, it shouldn't have been removed at all
- Patch7: fix a lot of warnings
- Regenerate patch3
- Clean specfile

* Wed Nov 16 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.6-1mdk
- drop patch 2
- New release 2.8.0.6

* Wed Nov 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.5-3mdk
- Update patch0 : don't start ssh-agent anymore (Mdk bug #19568)

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 2.8.0.5-2mdk
- rebuild for new libgsf

* Wed Oct 05 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.5-1mdk
- disable parallel make
- New release 2.8.0.5

* Wed Sep 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.4-1mdk 
- Release 2.8.0.4

* Sat Sep 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-5mdk 
- Update patch0 to enable IncludeAll for user lists

* Sat Sep 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-4mdk 
- Patch6: don't force UTF8 locale (Mdk bug #18177)

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.8.0.3-3mdk
- rebuild to remove glitz dep

* Fri Sep 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-2mdk 
- Update patch0 to set clock format based on locale settings

* Tue Aug 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-1mdk 
- Release 2.8.0.3
- Regenerate patch0 (partially merged), enforce galaxy GTK them
- Fix trigger from older gdm

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.2-3mdk 
- Update patch0 to fix Mdk bug #17347
- Fix url

* Wed Aug 10 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.2-2mdk 
- Update patch0 to fix default location for faces

* Wed Aug 10 2005 Götz Waschk <waschk@mandriva.org> 2.8.0.2-1mdk
- rediff patches 0,2
- New release 2.8.0.2

* Thu Aug 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.1-2mdk 
- Update patch0, gdmgreeter was not the default greeter for local gdm
- fix gdmsetup startup (Mdk bug #16761)
- fix upgrade when theme migration was already done
- use new syntax for prereq

* Mon Jul 04 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.1-1mdk
- drop patch 6
- New release 2.8.0.1

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-5mdk
- fix broken doc file (bug #16394)

* Sun Jun 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.0.0-4mdk
- add BuildRequires: XFree86-static-devel

* Sat Jun 18 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-3mdk
- fix the trigger

* Tue Jun 14 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-2mdk
- bump xinitrc dep
- fix changed paths in gdm.conf on upgrade

* Sun Jun 12 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-1mdk
- update file list
- update file list
- drop merged patch 6
- update patches 0,1
- New release 2.8.0.0

* Sat May 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.0.9-4mdk 
- Fix trigger

* Fri May 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.0.9-3mdk
- add BuildRequires: intltool

* Wed May 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.0.9-2mdk 
- Remove patch7 and fix build on x86-64

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.0.9-1mdk 
- Release 2.6.0.9

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.8-2mdk 
- Fix update from Mdk 10.1 (Mdk bug #14532)

* Tue Mar 08 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.8-1mdk
- rediff patches 0,6
- New release 2.6.0.8

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.7-4mdk 
- Fix upgrade

* Tue Mar 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.7-3mdk 
- Move gdm mdk theme to mandrake_desk

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.0.7-2mdk
- libtool fixes

* Thu Feb 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.6.0.7-1mdk
- New release 2.6.0.7

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-5mdk 
- Rebuild with latest howl

* Thu Dec 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-4mdk 
- Patch6 (Fedora): lookup and use canonical username

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-3mdk 
- Patch4 (Fedora): use pam_timestamp for gdmsetup
- Patch5 (Fedora): clean up xses if session was sucessfully completed

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.6-2mdk
- fix omf file listing

* Thu Oct 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-1mdk
- New release 2.6.0.6

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-7mdk
- Update patch0 to call correctly Xsession when using default session

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-6mdk
- Update patch2 to sync dither with the one from patch3

* Thu Sep 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-5mdk
- Patch3: dither background for standard greeter

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-4mdk
- Update patch 0 to fix default session name (Mdk bug #11104)

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-3mdk
- Update patch 0 to sync with latest xinitrc behaviour

* Sat Aug 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.0.4-2mdk
- fix typo in menu entry

* Fri Aug 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-1mdk
- Release 2.6.0.4

* Tue Jul 06 2004 Olivier Blin <blino@mandrake.org> 2.6.0.3-2mdk
- reenable libtoolize
- add virtual provides dm

* Sun Jun 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.3-1mdk
- add new files
- rediff patch 0
- New release 2.6.0.3

* Sat May 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.2-1mdk
- drop patches 3,4 (different fixes included)
- New release 2.6.0.2

* Wed May 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.1-2mdk
- Create /etc/X11/dm/Sessions until fndSession is fixed

* Sun Apr 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.1-1mdk
- new version

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.0-1mdk
- Release 2.6.0.0 (with Gtz help)
- Regenerate patches 0, 3

